> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boundlesspay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bank Transfer Status

> Retrieve the status of a bank transfer using its reference



## OpenAPI

````yaml GET /transfers/{reference}/status
openapi: 3.1.0
info:
  title: BoundlessPay API
  version: 1.0.0
servers: []
security: []
paths:
  /transfers/{reference}/status:
    get:
      description: Retrieve the status of a bank transfer using its reference
      parameters:
        - name: reference
          in: path
          required: true
          schema:
            type: string
            example: TX-1773947599640-1453
      responses:
        '200':
          description: Transfer status retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Operation successful
                  data:
                    type: object
                    properties:
                      reference:
                        type: string
                        example: TX-1773947599640-1453
                      status:
                        type: string
                        example: successful
                      currencyCode:
                        type: string
                        example: NGN
                      amount:
                        type: string
                        example: '500.00000000'
                  meta:
                    timestamp: '2026-03-30T19:50:10.817Z'

````